WP3StylesListener Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WP3StylesListener Class Reference

`#include <WP3StylesListener.h>`

Inheritance diagram for WP3StylesListener:

## Public Member Functions
| WP3StylesListener (std::list< WPXPageSpan > &pageList, WPXTableList tableList)
void | startDocument () override
void | startSubDocument () override
void | insertCharacter (unsigned) override
void | insertTab () override
void | insertTab (unsigned char, double) override
void | insertEOL () override
void | insertBreak (unsigned char breakType) override
void | attributeChange (bool, unsigned char) override
void | lineSpacingChange (double) override
void | justificationChange (unsigned char) override
void | pageMarginChange (unsigned char side, unsigned short margin) override
void | pageFormChange (unsigned short length, unsigned short width, WPXFormOrientation orientation) override
void | marginChange (unsigned char side, unsigned short margin) override
void | indentFirstLineChange (double) override
void | setTabs (bool, const std::vector< WPXTabStop >) override
void | columnChange (WPXTextColumnType, unsigned char, const std::vector< double > &, const std::vector< bool > &) override
void | endDocument () override
void | endSubDocument () override
void | defineTable (unsigned char, unsigned short) override
void | addTableColumnDefinition (unsigned, unsigned, unsigned, unsigned, unsigned char) override
void | startTable () override
void | closeCell () override
void | closeRow () override
void | setTableCellSpan (unsigned short, unsigned short) override
void | setTableCellFillColor (const RGBSColor *) override
void | endTable () override
void | undoChange (unsigned char undoType, unsigned short undoLevel) override
void | setTextColor (const RGBSColor *) override
void | setTextFont (const librevenge::RVNGString &) override
void | setFontSize (unsigned short) override
void | insertPageNumber (const librevenge::RVNGString &) override
void | insertNoteReference (const librevenge::RVNGString &) override
void | insertNote (WPXNoteType, const WP3SubDocument *) override
void | headerFooterGroup (unsigned char headerFooterType, unsigned char occurrenceBits, const std::shared_ptr< WP3SubDocument > &subDocument) override
void | suppressPage (unsigned short suppressCode) override
void | backTab () override
void | leftIndent () override
void | leftIndent (double) override
void | leftRightIndent () override
void | leftRightIndent (double) override
void | insertPicture (double, double, double, double, unsigned char, unsigned char, unsigned short, const librevenge::RVNGBinaryData &) override
void | insertTextBox (double, double, double, double, unsigned char, unsigned char, unsigned short, const WP3SubDocument *, const WP3SubDocument *) override
void | insertWP51Table (double, double, double, double, unsigned char, unsigned char, unsigned short, const WP3SubDocument *, const WP3SubDocument *) override
Public Member Functions inherited from WP3Listener
| WP3Listener ()
virtual | ~WP3Listener ()
virtual void | startDocument ()=0
virtual void | startSubDocument ()=0
virtual void | insertCharacter (unsigned character)=0
virtual void | insertTab ()=0
virtual void | insertTab (unsigned char tabType, double tabPosition)=0
virtual void | insertBreak (unsigned char breakType)=0
virtual void | insertEOL ()=0
virtual void | lineSpacingChange (double lineSpacing)=0
virtual void | attributeChange (bool isOn, unsigned char attribute)=0
virtual void | pageMarginChange (unsigned char side, unsigned short margin)=0
virtual void | pageFormChange (unsigned short length, unsigned short width, WPXFormOrientation orientation)=0
virtual void | marginChange (unsigned char side, unsigned short margin)=0
virtual void | indentFirstLineChange (double offset)=0
virtual void | setTabs (bool isRelative, const std::vector< WPXTabStop > tabStops)=0
virtual void | columnChange (WPXTextColumnType columnType, unsigned char numColumns, const std::vector< double > &columnWidth, const std::vector< bool > &isFixedWidth)=0
virtual void | endDocument ()=0
virtual void | endSubDocument ()=0
virtual void | defineTable (unsigned char position, unsigned short leftOffset)=0
virtual void | addTableColumnDefinition (unsigned width, unsigned leftGutter, unsigned rightGutter, unsigned attributes, unsigned char alignment)=0
virtual void | startTable ()=0
virtual void | closeCell ()=0
virtual void | closeRow ()=0
virtual void | setTableCellSpan (unsigned short colSpan, unsigned short rowSpan)=0
virtual void | setTableCellFillColor (const RGBSColor *cellFillColor)=0
virtual void | endTable ()=0
virtual void | undoChange (unsigned char undoType, unsigned short undoLevel)=0
virtual void | justificationChange (unsigned char justification)=0
virtual void | setTextColor (const RGBSColor *fontColor)=0
virtual void | setTextFont (const librevenge::RVNGString &fontName)=0
virtual void | setFontSize (unsigned short fontSize)=0
virtual void | insertPageNumber (const librevenge::RVNGString &pageNumber)=0
virtual void | insertNoteReference (const librevenge::RVNGString &noteReference)=0
virtual void | insertNote (WPXNoteType noteType, const WP3SubDocument *subDocument)=0
virtual void | headerFooterGroup (unsigned char headerFooterType, unsigned char occurrenceBits, const std::shared_ptr< WP3SubDocument > &subDocument)=0
virtual void | suppressPage (unsigned short suppressCode)=0
virtual void | backTab ()=0
virtual void | leftIndent ()=0
virtual void | leftIndent (double offset)=0
virtual void | leftRightIndent ()=0
virtual void | leftRightIndent (double offset)=0
virtual void | insertPicture (double height, double width, double verticalOffset, double horizontalOffset, unsigned char leftColumn, unsigned char rightColumn, unsigned short figureFlags, const librevenge::RVNGBinaryData &binaryData)=0
virtual void | insertTextBox (double height, double width, double verticalOffset, double horizontalOffset, unsigned char leftColumn, unsigned char rightColumn, unsigned short figureFlags, const WP3SubDocument *subDocument, const WP3SubDocument *caption)=0
virtual void | insertWP51Table (double height, double width, double verticalOffset, double horizontalOffset, unsigned char leftColumn, unsigned char rightColumn, unsigned short figureFlags, const WP3SubDocument *subDocument, const WP3SubDocument *caption)=0
void | setResourceFork (WP3ResourceFork *resourceFork)
const WP3ResourceFork * | getResourceFork () const

## Protected Member Functions
void | _handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, int nextTableIndice=0)
Protected Member Functions inherited from WPXStylesListener
| WPXStylesListener (std::list< WPXPageSpan > &pageList)
| ~WPXStylesListener () override
Protected Member Functions inherited from WPXListener
| WPXListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXListener ()
bool | isUndoOn ()
void | setUndoOn (bool isOn)

## Private Member Functions
| WP3StylesListener (const WP3StylesListener &)
WP3StylesListener & | operator= (const WP3StylesListener &)

## Private Attributes
WPXPageSpan | m_currentPage
WPXTableList | m_tableList
std::shared_ptr< WPXTable > | m_currentTable
double | m_tempMarginLeft
double | m_tempMarginRight
bool | m_currentPageHasContent
bool | m_isSubDocument
std::list< WPXPageSpan >::iterator | m_pageListHardPageMark

## Additional Inherited Members
Protected Attributes inherited from WPXListener
std::list< WPXPageSpan > & | m_pageList

## Constructor & Destructor Documentation

## ◆ WP3StylesListener() [1/2]

WP3StylesListener::WP3StylesListener | ( | std::list< WPXPageSpan > & | pageList,
|  | WPXTableList | tableList
| ) |  |

## ◆ WP3StylesListener() [2/2]

WP3StylesListener::WP3StylesListener | ( | const WP3StylesListener & |  | ) |
| private

## Member Function Documentation

## ◆ _handleSubDocument()

void WP3StylesListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | WPXSubDocumentType | subDocumentType,
|  | WPXTableList | tableList,
|  | int | nextTableIndice = `0`
| ) |  |
| protected

Referenced by headerFooterGroup().

## ◆ addTableColumnDefinition()

void WP3StylesListener::addTableColumnDefinition | ( | unsigned | ,
|  | unsigned | ,
|  | unsigned | ,
|  | unsigned | ,
|  | unsigned char |
| ) |  |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ attributeChange()

void WP3StylesListener::attributeChange | ( | bool | ,
|  | unsigned char |
| ) |  |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ backTab()

void WP3StylesListener::backTab | ( |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ closeCell()

void WP3StylesListener::closeCell | ( |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ closeRow()

void WP3StylesListener::closeRow | ( |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ columnChange()

void WP3StylesListener::columnChange | ( | WPXTextColumnType | ,
|  | unsigned char | ,
|  | const std::vector< double > & | ,
|  | const std::vector< bool > & |
| ) |  |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ defineTable()

void WP3StylesListener::defineTable | ( | unsigned char | ,
|  | unsigned short |
| ) |  |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ endDocument()

void WP3StylesListener::endDocument | ( |  | ) |
| overridevirtual

Implements WP3Listener.

## ◆ endSubDocument()

void WP3StylesListener::endSubDocument | ( |  | ) |
| overridevirtual

Implements WP3Listener.

Referenced by WP3Parser::parseSubDocument().

## ◆ endTable()

void WP3StylesListener::endTable | ( |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ headerFooterGroup()

void WP3StylesListener::headerFooterGroup | ( | unsigned char | headerFooterType,
|  | unsigned char | occurrenceBits,
|  | const std::shared_ptr< WP3SubDocument > & | subDocument
| ) |  |
| overridevirtual

Implements WP3Listener.

## ◆ indentFirstLineChange()

void WP3StylesListener::indentFirstLineChange | ( | double |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ insertBreak()

void WP3StylesListener::insertBreak | ( | unsigned char | breakType | ) |
| overridevirtual

Implements WP3Listener.

Referenced by endDocument(), and endSubDocument().

## ◆ insertCharacter()

void WP3StylesListener::insertCharacter | ( | unsigned |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ insertEOL()

void WP3StylesListener::insertEOL | ( |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ insertNote()

void WP3StylesListener::insertNote | ( | WPXNoteType | ,
|  | const WP3SubDocument * |
| ) |  |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ insertNoteReference()

void WP3StylesListener::insertNoteReference | ( | const librevenge::RVNGString & |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ insertPageNumber()

void WP3StylesListener::insertPageNumber | ( | const librevenge::RVNGString & |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ insertPicture()

void WP3StylesListener::insertPicture | ( | double | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | unsigned char | ,
|  | unsigned char | ,
|  | unsigned short | ,
|  | const librevenge::RVNGBinaryData & |
| ) |  |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ insertTab() [1/2]

void WP3StylesListener::insertTab | ( |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ insertTab() [2/2]

void WP3StylesListener::insertTab | ( | unsigned char | ,
|  | double |
| ) |  |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ insertTextBox()

void WP3StylesListener::insertTextBox | ( | double | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | unsigned char | ,
|  | unsigned char | ,
|  | unsigned short | ,
|  | const WP3SubDocument * | ,
|  | const WP3SubDocument * |
| ) |  |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ insertWP51Table()

void WP3StylesListener::insertWP51Table | ( | double | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | unsigned char | ,
|  | unsigned char | ,
|  | unsigned short | ,
|  | const WP3SubDocument * | ,
|  | const WP3SubDocument * |
| ) |  |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ justificationChange()

void WP3StylesListener::justificationChange | ( | unsigned char |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ leftIndent() [1/2]

void WP3StylesListener::leftIndent | ( |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ leftIndent() [2/2]

void WP3StylesListener::leftIndent | ( | double |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ leftRightIndent() [1/2]

void WP3StylesListener::leftRightIndent | ( |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ leftRightIndent() [2/2]

void WP3StylesListener::leftRightIndent | ( | double |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ lineSpacingChange()

void WP3StylesListener::lineSpacingChange | ( | double |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ marginChange()

void WP3StylesListener::marginChange | ( | unsigned char | side,
|  | unsigned short | margin
| ) |  |
| overridevirtual

Implements WP3Listener.

## ◆ operator=()

WP3StylesListener & WP3StylesListener::operator= | ( | const WP3StylesListener & |  | ) |
| private

## ◆ pageFormChange()

void WP3StylesListener::pageFormChange | ( | unsigned short | length,
|  | unsigned short | width,
|  | WPXFormOrientation | orientation
| ) |  |
| overridevirtual

Implements WP3Listener.

## ◆ pageMarginChange()

void WP3StylesListener::pageMarginChange | ( | unsigned char | side,
|  | unsigned short | margin
| ) |  |
| overridevirtual

Implements WP3Listener.

## ◆ setFontSize()

void WP3StylesListener::setFontSize | ( | unsigned short |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ setTableCellFillColor()

void WP3StylesListener::setTableCellFillColor | ( | const RGBSColor * |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ setTableCellSpan()

void WP3StylesListener::setTableCellSpan | ( | unsigned short | ,
|  | unsigned short |
| ) |  |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ setTabs()

void WP3StylesListener::setTabs | ( | bool | ,
|  | const std::vector< WPXTabStop > |
| ) |  |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ setTextColor()

void WP3StylesListener::setTextColor | ( | const RGBSColor * |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ setTextFont()

void WP3StylesListener::setTextFont | ( | const librevenge::RVNGString & |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ startDocument()

void WP3StylesListener::startDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

## ◆ startSubDocument()

void WP3StylesListener::startSubDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP3Listener.

Referenced by WP3Parser::parseSubDocument().

## ◆ startTable()

void WP3StylesListener::startTable | ( |  | ) |
| overridevirtual

Implements WP3Listener.

## ◆ suppressPage()

void WP3StylesListener::suppressPage | ( | unsigned short | suppressCode | ) |
| overridevirtual

Implements WP3Listener.

## ◆ undoChange()

void WP3StylesListener::undoChange | ( | unsigned char | undoType,
|  | unsigned short | undoLevel
| ) |  |
| overridevirtual

Implements WP3Listener.

## Member Data Documentation

## ◆ m_currentPage

WPXPageSpan WP3StylesListener::m_currentPage
| private

Referenced by headerFooterGroup(), insertBreak(), marginChange(), pageFormChange(), pageMarginChange(), and suppressPage().

## ◆ m_currentPageHasContent

bool WP3StylesListener::m_currentPageHasContent
| private

Referenced by _handleSubDocument(), backTab(), headerFooterGroup(), insertBreak(), insertCharacter(), insertEOL(), insertNote(), insertTab(), marginChange(), pageFormChange(), and startTable().

## ◆ m_currentTable

std::shared_ptr<WPXTable> WP3StylesListener::m_currentTable
| private

Referenced by _handleSubDocument(), and startTable().

## ◆ m_isSubDocument

bool WP3StylesListener::m_isSubDocument
| private

Referenced by _handleSubDocument(), insertBreak(), and marginChange().

## ◆ m_pageListHardPageMark

std::list<WPXPageSpan>::iterator WP3StylesListener::m_pageListHardPageMark
| private

Referenced by insertBreak(), marginChange(), and WP3StylesListener().

## ◆ m_tableList

WPXTableList WP3StylesListener::m_tableList
| private

Referenced by _handleSubDocument(), and startTable().

## ◆ m_tempMarginLeft

double WP3StylesListener::m_tempMarginLeft
| private

Referenced by insertBreak(), and marginChange().

## ◆ m_tempMarginRight

double WP3StylesListener::m_tempMarginRight
| private

Referenced by insertBreak(), and marginChange().

The documentation for this class was generated from the following files:

- WP3StylesListener.h
- WP3StylesListener.cpp